Bug 56570 - RecordType has repeat by code type 3009
Summary: RecordType has repeat by code type 3009
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSLF (show other bugs)
Version: 3.10-FINAL
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on: 58159
Blocks:
  Show dependency tree
 
Reported: 2014-05-28 03:08 UTC by manonmoon
Modified: 2015-12-31 22:14 UTC (History)
0 users



Attachments
Patch to correct record type (1.23 KB, patch)
2014-05-28 16:54 UTC, Nick Burch
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description manonmoon 2014-05-28 03:08:55 UTC
public static final Type ExObjRefAtom = new Type(3009,null);
    public static final Type OEShapeAtom = new Type(3009,OEShapeAtom.class);

the OEShapeAtom is ShapeAtom with type code 0x0BDB.
Comment 1 Nick Burch 2014-05-28 16:54:03 UTC
Created attachment 31675 [details]
Patch to correct record type

I've just tried changing the record ID to the correct one, but that then breaks a load of unit tests, so this will need more investigations (probably from Yegor who did the original OLE embedding support that is affected)
Comment 2 manonmoon 2014-05-29 03:37:09 UTC
I think the id of oeshape atom is 3035 (bdb) ref form 《ms-ppt》.pdf
.And I try to read exobj  success. But I just  try the obj .
Comment 3 Andreas Beeker 2015-12-31 22:14:38 UTC
This has been fixed via r1722476
which was part of #58159